Bug 176857 - libXv-devel missing dependency on xorg-x11-proto-devel
libXv-devel missing dependency on xorg-x11-proto-devel
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: libXv (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
: EasyFix
Depends On:
Blocks: 171491 FC5Target
  Show dependency treegraph
 
Reported: 2006-01-03 15:48 EST by Ville Skyttä
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 1.0.1-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-01 02:57:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2006-01-03 15:48:54 EST
$ grep Requires: /usr/lib/pkgconfig/xv.pc
Requires: xproto videoproto

So "Requires: xorg-x11-proto-devel" seems to be missing in libXv-devel.

There's xext and x11 in Requires.private too, so in case Requires.private cannot
be dropped, the dependency should be on libXext-devel instead (which will pull
in libX11-devel and thus xorg-x11-proto-devel if bug 176078 is fixed as suggested).
Comment 1 Mike A. Harris 2006-02-01 02:57:54 EST
Foxed om 1.0.1-2 in rawhide.
Comment 2 Mike A. Harris 2006-02-01 02:58:57 EST
/me signs up for "how to find home-row on a keyboard" lessons

Note You need to log in before you can comment on or make changes to this bug.